REST APIKnowledge
Get a knowledge source with its content
Required scope: `knowledge.read`.
GET
/bots/{botId}/knowledge/sources/{sourceId}Authorization
ApiKeyAuth AuthorizationBearer <token>
An external API key, sent as Authorization: Bearer mflo_…. Scopes are checked per route; see each operation’s description.
In: header
Path Parameters
botId*string
Format
uuidsourceId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sourceType": "string", "articleType": "string", "usageMode": "string", "publishState": "string", "tags": [ "string" ], "category": "string", "lastVerifiedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "title": "string", "status": "string", "errorMessage": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "bodyText": "string", "extractedText": "string", "structuredContent": null, "questionVariants": null, "characterCount": 0, "file": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "string", "size": 0 } }}